
//	ARAKANA ISLAND TELEPORTS

OBJECT "Lv4Tel1"
BEGIN
	CUBE player 9631,10461,0 9661,10491,100
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.POS 6896 10192 37
		FADESCREENIN
	END
END


OBJECT "Lv4Tel2"
BEGIN
	CUBE PLAYER 6742,10068,0 6772,10098,100
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.POS 9600 10672 37
		FADESCREENIN
	END
END


OBJECT "Gus4"
BEGIN
	DIALOG
	BEGIN
	SETCDVOLUME HALF
	WAIT 1
	CONTROL OFF
	player.STOP
	player.COMBAT OFF
	NOWAIT PIVOTOBJECT player
	player.PIVOTOBJECT GUS4
 	SAY III5GUS00
	SAY III5GUS01
	IF player.GETITEMAMOUNT "AMULET OF ROGOSS" = 0
	BEGIN
		player.say III5LOC00
		say III5GUS02
		JUMP FINISH
	END
		
	:Start

		Choice Notfound III5LOC00
		Choice Found III5LOC01
		wait response
	
	:Notfound
		
		player.say III5LOC00
		say III5GUS02
		Jump Finish
		
	:Found
		
		player.say III5LOC01
		say III5GUS03
		SET miststate = 4
		FADESCREENOUT
		WAIT SCREENFADE
		FADESCREENIN
		player.POS 2912 29630 160 0

	:Finish

		CONTROL ON
		SETCDVOLUME FULL
	
	END
END



